karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christian Schneider (JIRA)" <j...@apache.org>
Subject [jira] [Created] (KARAF-3757) Unable to resolve org.apache.activemq.activemq-blueprint while installing feature activemq-blueprint
Date Wed, 03 Jun 2015 08:58:50 GMT
Christian Schneider created KARAF-3757:
------------------------------------------

             Summary: Unable to resolve org.apache.activemq.activemq-blueprint while installing
feature activemq-blueprint
                 Key: KARAF-3757
                 URL: https://issues.apache.org/jira/browse/KARAF-3757
             Project: Karaf
          Issue Type: Bug
          Components: karaf-feature
    Affects Versions: 4.0.0.M2
            Reporter: Christian Schneider
             Fix For: 4.0.0.M3


To reproduce do:
feature:repo-add activemq 5.11.1
feature:install activemq-blueprint

>From time to time you get the following exception when installing the feature. The behaviour
is not predictable. Installation worked x times, afterwards installation failed y times.

Error executing command: Uses constraint violation. Unable to resolve resource org.apache.activemq.activemq-blueprint
[org.apache.activemq.activemq-blueprint/5.11.1] because it is exposed to package 'org.apache.aries.blueprint'
from resources org.apache.aries.blueprint.core [org.apache.aries.blueprint.core/1.4.3] and
org.apache.aries.blueprint.core [org.apache.aries.blueprint.core/1.4.3] via two dependency
chains.

Chain 1:
org.apache.activemq.activemq-blueprint [org.apache.activemq.activemq-blueprint/5.11.1]
import: (&(osgi.wiring.package=org.apache.aries.blueprint)(version>=1.0.0)(!(version>=2.0.0)))

export: osgi.wiring.package: org.apache.aries.blueprint
org.apache.aries.blueprint.core [org.apache.aries.blueprint.core/1.4.3]

Chain 2:
org.apache.activemq.activemq-blueprint [org.apache.activemq.activemq-blueprint/5.11.1]
import: (&(osgi.wiring.package=org.apache.xbean.blueprint.context.impl)(version>=3.13.0)(!(version>=5.0.0)))

export: osgi.wiring.package=org.apache.xbean.blueprint.context.impl; uses:=org.apache.aries.blueprint
org.apache.xbean.blueprint [org.apache.xbean.blueprint/4.2.0]
import: (&(osgi.wiring.package=org.apache.aries.blueprint)(version>=1.3.0)(!(version>=2.0.0)))

export: osgi.wiring.package: org.apache.aries.blueprint
org.apache.aries.blueprint.core [org.apache.aries.blueprint.core/1.4.3]





--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message